> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new integration connection for a given org

> Create a new integration connection for a given org



## OpenAPI

````yaml post /v1/core/integrations/connections
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/integrations/connections:
    post:
      summary: Create a new integration connection for a given org
      description: Create a new integration connection for a given org
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the integration connection
                integrationPlatform:
                  type: string
                  enum:
                    - MERGE
                    - SIRO_CUSTOM_INPUT
                    - SERVICE_TITAN
                    - COMPANY_CAM
                    - INGAGE
                    - LEAD_PERFECTION
                    - SPOTIO
                  description: The type of integration connection
                externalAccountId:
                  type: string
                  description: External account id (typically maps to a tenant)
                isActive:
                  type: boolean
                  default: true
                  description: Whether the connection is active
              required:
                - name
                - integrationPlatform
                - externalAccountId
      responses:
        '201':
          description: Create a new integration connection for a given org
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  externalAccountId:
                    type: string
                  organizationId:
                    type: string
                  integrationPlatform:
                    type: string
                    enum:
                      - MERGE
                      - SIRO_CUSTOM_INPUT
                      - SERVICE_TITAN
                      - COMPANY_CAM
                      - INGAGE
                      - LEAD_PERFECTION
                      - SPOTIO
                  createdAt:
                    type: string
                    description: ISO 8601 date string
                  updatedAt:
                    type: string
                    description: ISO 8601 date string
                  isActive:
                    type: boolean
                    description: Whether the integration is actively syncing data
                  syncStatus:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        modelName:
                          type: string
                        modelSyncStatus:
                          type: string
                          enum:
                            - SYNCING
                            - UP_TO_DATE
                            - ERROR
                        modelModifiedAfter:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                          nullable: true
                      required:
                        - id
                        - modelName
                        - modelSyncStatus
                        - modelModifiedAfter
                        - createdAt
                        - updatedAt
                  syncTranscript:
                    type: boolean
                    description: >-
                      Whether the transcript will be included in the sync
                      payload
                required:
                  - id
                  - name
                  - externalAccountId
                  - organizationId
                  - integrationPlatform
                  - createdAt
                  - updatedAt
                  - isActive
                  - syncStatus
        '400':
          description: Integration platform not supported
          content:
            text/plain:
              schema:
                type: string
        '409':
          description: Duplicate connection for integration platform for org
          content:
            text/plain:
              schema:
                type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````